Package com.orchestranetworks.workflow

# Class WorkflowView

java.lang.Object
com.orchestranetworks.workflow.WorkflowView

public final class WorkflowView extends Object
Specifies a view in the data workflow area of the user interface.

See Workflow views.

Can be specified in a Web Component using the parameter `workflowView`

Example:

- URL to inbox section:
  `http://localhost:8080/ebx/?service=@workflow&workflowView=inbox`
- URL to inbox section filtered on label:
  `http://localhost:8080/ebx/?service=@workflow&workflowView=inbox&xpath=[contains(osd:label(./dwfWorkItemLabel),"myCriterion")]`

See Also:
  - `UIHttpManagerComponent.selectWorkflowView(WorkflowView)`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final WorkflowView`
  `COMPLETED_WORKFLOWS`
  Completed workflows section.
  `static final WorkflowView`
  `INBOX`
  Workflow inbox section.
  `static final WorkflowView`
  `LAUNCHER`
  Workflow launcher section.
  `static final WorkflowView`
  `MONITORING_PUBLICATIONS`
  Workflow monitoring publications section.
  `static final WorkflowView`
  `MONITORING_WORKFLOWS`
  Workflow monitoring workflows section.
  `static final WorkflowView`
  `MONITORING_WORKITEMS`
  Workflow monitoring work items section.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `format()`
  Returns a persistent identifier of this workflow view.
  `final boolean`
  `isCompletedWorkflows()`
  `final boolean`
  `isInbox()`
  `final boolean`
  `isLauncher()`
  `final boolean`
  `isMonitoringPublications()`
  `final boolean`
  `isMonitoringWorkflows()`
  `final boolean`
  `isMonitoringWorkItems()`
  `static final WorkflowView`
  `parse(String aFormattedWorkflowView)`
  Parses the specified string, so as to return the corresponding workflow view.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### INBOX

    public static final WorkflowView INBOX
    Workflow inbox section.

    Value is: "inbox"

  - ### LAUNCHER

    public static final WorkflowView LAUNCHER
    Workflow launcher section.

    Value is: "launcher"

  - ### MONITORING_PUBLICATIONS

    public static final WorkflowView MONITORING_PUBLICATIONS
    Workflow monitoring publications section.

    Value is: "monitoringPublications"

  - ### MONITORING_WORKFLOWS

    public static final WorkflowView MONITORING_WORKFLOWS
    Workflow monitoring workflows section.

    Value is: "monitoringWorkflows"

  - ### MONITORING_WORKITEMS

    public static final WorkflowView MONITORING_WORKITEMS
    Workflow monitoring work items section.

    Value is: "monitoringWorkItems"

  - ### COMPLETED_WORKFLOWS

    public static final WorkflowView COMPLETED_WORKFLOWS
    Completed workflows section.

    Value is: "completedWorkflows"

- ## Method Details

  - ### parse

    public static final WorkflowView parse(String aFormattedWorkflowView)
    Parses the specified string, so as to return the corresponding workflow view.

    The specified string must have been generated by `format()`.

    See Also:
      - `format()`

  - ### format

    public final String format()
    Returns a persistent identifier of this workflow view.
    See Also:
      - `parse(String)`

  - ### isInbox

    public final boolean isInbox()
    See Also:
      - `INBOX`

  - ### isLauncher

    public final boolean isLauncher()
    See Also:
      - `LAUNCHER`

  - ### isMonitoringPublications

    public final boolean isMonitoringPublications()
    See Also:
      - `MONITORING_PUBLICATIONS`

  - ### isMonitoringWorkflows

    public final boolean isMonitoringWorkflows()
    See Also:
      - `MONITORING_WORKFLOWS`

  - ### isMonitoringWorkItems

    public final boolean isMonitoringWorkItems()
    See Also:
      - `MONITORING_WORKITEMS`

  - ### isCompletedWorkflows

    public final boolean isCompletedWorkflows()
    See Also:
      - `COMPLETED_WORKFLOWS`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`